/*
 * @Author: wenjie 1454560336@qq.com
 * @Date: 2024-08-19 11:43:51
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-09-05 13:48:54
 * @FilePath: \admin-manage\src\api\setting.js
 * @Description: 
 * 
 * Copyright (c) 2024 by ${git_name_email}, All Rights Reserved. 
 */
import request from '@/utils/request'

  // 获取商户信息
  // ​/transferRuler​/getRuler
  export function getRuler(params) {
    return request({
      url: '/rewardserver/transferRuler/getRuler',
      method: 'get',
      params
    })
  }

  // 修改店铺信息
  // /transferRuler/saveOrUpdate
  export function saveOrUpdate(data) {
    return request({
      url: '/rewardserver/transferRuler/saveOrUpdate',
      method: 'post',
      data
    })
  }

  
  // 查询小程序配置
  export function getMiniSetting(params) {
    return request({
      url: '/rewardserver/miniAppSetting/getSetting',
      method: 'get',
      params
    })
  }

    // 新增/修改小程序配置
  export function setMini(data) {
    return request({
      url: '/rewardserver/miniAppSetting/saveOrUpdate',
      method: 'post',
      data
    })
  }
